"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var cli_1 = require("./cli");
var resume_1 = require("./resume");
var command_1 = require("./cli/command");
var Clime = /** @class */ (function () {
    function Clime() {
        this.resume = new resume_1.Resume();
    }
    Clime.prototype.use = function (infoProvider) {
        infoProvider.fill(this.resume);
        return this;
    };
    Clime.prototype.show = function (domElement) {
        var cli = new cli_1.Cli();
        if (this.resume.name) {
            cli.register(new command_1.GenericEchoCommand('name', 'Shows name', this.resume.name));
        }
        if (this.resume.bio) {
            cli.register(new command_1.GenericEchoCommand('bio', 'Shows bio', this.resume.bio));
        }
        if (this.resume.education) {
            cli.register(new command_1.EducationCommand(this.resume.education));
        }
        if (this.resume.work) {
            cli.register(new command_1.WorkCommand(this.resume.work));
        }
        if (this.resume.volunteer) {
            cli.register(new command_1.VolunteerCommand(this.resume.volunteer));
        }
        if (this.resume.award) {
            cli.register(new command_1.AwardCommand(this.resume.award));
        }
        if (this.resume.publication) {
            cli.register(new command_1.PublicationCommand(this.resume.publication));
        }
        if (this.resume.skill) {
            cli.register(new command_1.SkillCommand(this.resume.skill));
        }
        if (this.resume.language) {
            cli.register(new command_1.LanguageCommand(this.resume.language));
        }
        cli.show(domElement);
    };
    return Clime;
}());
exports.default = new Clime();
