"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var Json = /** @class */ (function () {
    function Json(objectOrFilePath) {
        if (typeof objectOrFilePath === 'object') {
            this.data = objectOrFilePath;
        }
        else if (typeof objectOrFilePath === 'string') {
            this.data = JSON.parse(fs_1.readFileSync(objectOrFilePath).toString());
        }
    }
    Json.prototype.getName = function () {
        return this.data.name;
    };
    Json.prototype.getBio = function () {
        return this.data.bio;
    };
    Json.prototype.getEducation = function () {
        return this.data.education || [];
    };
    Json.prototype.getWork = function () {
        return this.data.work || [];
    };
    Json.prototype.getVolunteer = function () {
        return this.data.volunteer || [];
    };
    Json.prototype.getAward = function () {
        return this.data.award || [];
    };
    Json.prototype.getPublication = function () {
        return this.data.publication || [];
    };
    Json.prototype.getSkill = function () {
        return this.data.skill || [];
    };
    Json.prototype.getLanguage = function () {
        return this.data.language || [];
    };
    Json.prototype.fill = function (resume) {
        resume.name = this.getName();
        resume.bio = this.getBio();
        resume.addEducation(this.getEducation());
        resume.addWork(this.getWork());
        resume.addVolunteer(this.getVolunteer());
        resume.addAward(this.getAward());
        resume.addPublication(this.getPublication());
        resume.addSkill(this.getSkill());
        resume.addLanguage(this.getLanguage());
    };
    return Json;
}());
exports.Json = Json;
