"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Vorpal = require("vorpal");
var xterm_1 = require("xterm");
var Cli = /** @class */ (function () {
    function Cli() {
        this.terminal = new xterm_1.Terminal();
        this.vorpal = new Vorpal();
        this.vorpal.delimiter('~>');
    }
    Cli.prototype.register = function (command) {
        this.vorpal
            .command(command.name, command.description)
            .action(function (args, callback) {
            command.action(args);
            callback();
        });
    };
    Cli.prototype.show = function (domElement) {
        var _this = this;
        this.terminal.on('data', function (data) {
            _this.vorpal.exec(data, function (res) {
                _this.terminal.writeln(res);
            });
        });
        this.terminal.open(domElement);
    };
    return Cli;
}());
exports.Cli = Cli;
