"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
require("mocha");
var src_1 = __importDefault(require("../src"));
var providers_1 = require("../src/resume/providers");
describe('Json infoProvider', function () {
    before(function () {
        src_1.default.use(new providers_1.Json('test/data/agurodriguez.json'));
    });
    it('should fill name', function () {
        chai_1.expect(src_1.default.resume.name).to.be.equal('Agustín Rodríguez');
    });
    it('should fill bio', function () {
        chai_1.expect(src_1.default.resume.bio).to.be.equal('#coder #entrepreneur #optimist #dreamer #student');
    });
    it('should fill education', function () {
        chai_1.expect(src_1.default.resume.education).to.have.length.greaterThan(0);
        chai_1.expect(src_1.default.resume.education[0].university).to.be.equal('Universidad ORT Uruguay');
        chai_1.expect(src_1.default.resume.education[0].degree).to.be.equal('System\'s Engineer');
        chai_1.expect(src_1.default.resume.education[0].fieldOfStudy).to.be.equal('Computer Science');
        chai_1.expect(src_1.default.resume.education[0].grade).to.be.equal(90);
        chai_1.expect(src_1.default.resume.education[0].startYear).to.be.equal(2014);
        chai_1.expect(src_1.default.resume.education[0].endYear).to.be.equal(2019);
    });
    it('should fill work', function () {
        chai_1.expect(src_1.default.resume.work).to.have.length.greaterThan(0);
        chai_1.expect(src_1.default.resume.work[0].company).to.be.equal('Universidad ORT Uruguay');
        chai_1.expect(src_1.default.resume.work[0].position).to.be.equal('Professor Assistant');
        chai_1.expect(src_1.default.resume.work[0].startMonth).to.be.equal(7);
        chai_1.expect(src_1.default.resume.work[0].startYear).to.be.equal(2016);
        chai_1.expect(src_1.default.resume.work[0].endMonth).to.be.equal(12);
        chai_1.expect(src_1.default.resume.work[0].endYear).to.be.equal(2016);
        chai_1.expect(src_1.default.resume.work[0].description).to.be.equal('Lorem ipsum');
    });
    it('should fill volunteer', function () {
        chai_1.expect(src_1.default.resume.volunteer).to.have.length.greaterThan(0);
        chai_1.expect(src_1.default.resume.volunteer[0].organization).to.be.equal('Science Church');
        chai_1.expect(src_1.default.resume.volunteer[0].position).to.be.equal('Evangelist');
        chai_1.expect(src_1.default.resume.volunteer[0].startMonth).to.be.equal(2);
        chai_1.expect(src_1.default.resume.volunteer[0].startYear).to.be.equal(2015);
        chai_1.expect(src_1.default.resume.volunteer[0].endMonth).to.be.equal(2);
        chai_1.expect(src_1.default.resume.volunteer[0].endYear).to.be.equal(2015);
        chai_1.expect(src_1.default.resume.volunteer[0].description).to.be.equal('Fake volunteer entry');
    });
    it('should fill award', function () {
        chai_1.expect(src_1.default.resume.award).to.have.length.greaterThan(0);
        chai_1.expect(src_1.default.resume.award[0].title).to.be.equal('Latin-America First Prize on Innovation');
        chai_1.expect(src_1.default.resume.award[0].description).to.be.equal('N/A');
        chai_1.expect(src_1.default.resume.award[0].awarder).to.be.equal('http://www.cii.uy');
        chai_1.expect(src_1.default.resume.award[0].year).to.be.equal(2016);
    });
    it('should fill publication', function () {
        chai_1.expect(src_1.default.resume.publication).to.have.length.greaterThan(0);
        chai_1.expect(src_1.default.resume.publication[0].name).to.be.equal('Use of singular names in weird open source code');
        chai_1.expect(src_1.default.resume.publication[0].description).to.be.equal('Nothing to say');
        chai_1.expect(src_1.default.resume.publication[0].publisher).to.be.equal('No1');
        chai_1.expect(src_1.default.resume.publication[0].releaseYear).to.be.equal(2018);
        chai_1.expect(src_1.default.resume.publication[0].url).to.be.equal('http://agurodriguez.net');
    });
    it('should fill skill', function () {
        chai_1.expect(src_1.default.resume.skill).to.have.length.greaterThan(0);
        chai_1.expect(src_1.default.resume.skill[0].name).to.be.equal('TypeScript');
        chai_1.expect(src_1.default.resume.skill[0].level).to.be.equal('beginner');
        chai_1.expect(src_1.default.resume.skill[0].keywords).to.be.equal('typescript, javascript, programming');
    });
    it('should fill language', function () {
        chai_1.expect(src_1.default.resume.language).to.have.length.greaterThan(1);
        chai_1.expect(src_1.default.resume.language[0].name).to.be.equal('Español');
        chai_1.expect(src_1.default.resume.language[0].level).to.be.equal('Native');
        chai_1.expect(src_1.default.resume.language[1].name).to.be.equal('English');
        chai_1.expect(src_1.default.resume.language[1].level).to.be.equal('Intermediate');
    });
});
